%{?nodejs_find_provides_and_requires}

%global packagename server-destroy
%global enable_tests 1

Name:		nodejs-server-destroy
Version:	1.0.1
Release:	1%{?dist}
Summary:	Enable destroying a server, and all currently open connections

License:	ISC
URL:		https://github.com/isaacs/server-destroy.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
#BuildRequires:
%endif

Requires:	nodejs

%description
Enable destroying a server, and all currently open connections.


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Oct 30 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
